%define module_name WebService-HealthGraph
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/Iterator.pm) perl(Data/Printer.pm) perl(DateTime.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON/MaybeXS.pm) perl(LWP/ConsoleLogger/Easy.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(List/AllUtils.pm) perl(Moo.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Wordlist.pm) perl(Test/CPAN/Changes.pm) perl(Test/Pod/Coverage.pm) perl(Test/RequiresInternet.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(Test2/Bundle/Extended.pm) perl(Test2/Plugin/BailOnFail.pm) perl(Type/Tiny.pm) perl(Types/Standard.pm) perl(Types/URI.pm) perl(URI.pm) perl(URI/FromHash.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000004
Release: alt1
Summary: A thin wrapper around the Runkeeper (Health Graph) API
Group: Development/Perl
License: perl
URL: https://github.com/oalders/webservice-healthgraph

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
BETA BETA BETA.  The interface is subject to change.

This is a very thin wrapper around the Runkeeper (Health Graph) API.  At this
point it assumes that you already have an OAuth token to connect with.  You can
use the Mojolicious::Plugin::Web::Auth::Site::Runkeeper manpage to create a token.  If
that doesn't suit you, patches to add OAuth token retrieval to this module will
be happily accepted.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes CONTRIBUTORS README examples
%perl_vendor_privlib/W*

%changelog
* Tue Oct 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.000004-alt1
- regenerated from template by package builder

* Wed Aug 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.000003-alt1
- initial import by package builder

